/* 
 * $Id: CreationException.java,v 1.1.1.1 2002/06/05 21:56:32 root Exp $
 *
 * Developed for "Rethinking CS101", a project of Lynn Andrea Stein's AP Group.
 * For more information, see <a href="http://www.ai.mit.edu/projects/cs101/">the
 * CS101 homepage</a> or email <las@ai.mit.edu>.
 *
 * Copyright (C) 1998 Massachusetts Institute of Technology.
 * Please do not redistribute without obtaining permission.
 */

package cs101.util;

/**
 * CreationExceptions are thrown by Coerce.StringToClass.
 * <p>
 * Copyright 1998 Massachusetts Institute of Technology
 *
 * @see  cs101.util.Coerce
 *
 * @author  Todd C. Parnell, tparnell@ai.mit.edu
 * @version $Id: CreationException.java,v 1.1.1.1 2002/06/05 21:56:32 root Exp $
 *
 */
public final class CreationException extends Exception {

  public CreationException() { super(); }
  public CreationException( String s ) { super( s ); }
}

/*
 * $Log: CreationException.java,v $
 * Revision 1.1.1.1  2002/06/05 21:56:32  root
 * CS101 comes to Olin finally.
 *
 * Revision 1.3  2000/04/25 16:47:34  nathanw
 * Purge.
 *
 * Revision 1.2  1998/07/24 17:19:24  tparnell
 * Placate new javadoc behavior
 *
 * Revision 1.1  1998/06/04 23:18:13  tparnell
 * added a StringToObject method in Coerce, and a generic Main wrapper so
 * students can avoid public static void main(String[] argv)
 *
 */
