/*
 * Main.java
 * Part of the Scribble problem set.
 *
 * Developed for "Rethinking CS101", a project of Lynn Andrea Stein's AP Group.
 * For more information, see http://www.ai.mit.edu/projects/cs101, the
 * CS101 homepage or email las@ai.mit.edu.
 *
 * Copyright (C) 1998 Massachusetts Institute of Technology.
 * Please do not redistribute without obtaining permission.
 */

package scribble;

/** 
 * Main is a wrapper for BetterBoard.
 *
 * <P>Copyright (c) 1998 Massachusetts Institute of Technology 
 *
 * @author Todd C. Parnell, tparnell@ai.mit.edu
 * @version $Id: Main.java,v 1.1.1.1 2002/06/05 21:56:35 root Exp $
 */
public class Main {

  /**
   * Creates a new BetterBoard with a new ScribbleCanvas.
   */
  public static void main (String[] argv) {
    BetterBoard bb = new BetterBoard();	
  }

  /**
   * Prevent instantiation.
   */
  private Main() {}
}

/*
 * $Log: Main.java,v $
 * Revision 1.1.1.1  2002/06/05 21:56:35  root
 * CS101 comes to Olin finally.
 *
 * Revision 1.1  2000/05/06 22:30:58  mharder
 * Moved to scribble subdirectory.
 *
 * Revision 1.5  1998/07/24 16:44:51  tparnell
 * Placate new javadoc behavior
 *
 * Revision 1.4  1998/07/21 19:06:52  tparnell
 * added private Main()
 *
 * Revision 1.3  1998/07/21 14:09:03  tparnell
 * minor bugfixes necessary b/c 1.2 complier is more picky
 *
 * Revision 1.2  1998/07/20 18:55:32  tparnell
 * Added javadoc and logging.  Minor code mods for greater consistency
 * between files.
 *
 */


